package com.myspace.ctos_loan_approval;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class LoanApplicant implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label(value = "Age")
	private java.lang.Integer age;
	@org.kie.api.definition.type.Label(value = "Credit Score")
	private java.lang.Integer creditScore;
	@org.kie.api.definition.type.Label(value = "Loan Amount")
	private java.lang.Double loanAmount;
	@org.kie.api.definition.type.Label(value = "Loan Group Assignment")
	private java.lang.String loanGroupAssignment;
	@org.kie.api.definition.type.Label(value = "Loan Pre Qualification")
	private java.lang.Boolean loanPreQualification;
	@org.kie.api.definition.type.Label(value = "Residency")
	private java.lang.String residency;
	@org.kie.api.definition.type.Label(value = "Customer Id")
	private java.lang.String customerId;
	@org.kie.api.definition.type.Label(value = "Name")
	private java.lang.String name;
	@org.kie.api.definition.type.Label(value = "Loan Qualification")
	private java.lang.Boolean loanQualification;

	public LoanApplicant() {
	}

	public java.lang.Integer getAge() {
		return this.age;
	}

	public void setAge(java.lang.Integer age) {
		this.age = age;
	}

	public java.lang.Integer getCreditScore() {
		return this.creditScore;
	}

	public void setCreditScore(java.lang.Integer creditScore) {
		this.creditScore = creditScore;
	}

	public java.lang.Double getLoanAmount() {
		return this.loanAmount;
	}

	public void setLoanAmount(java.lang.Double loanAmount) {
		this.loanAmount = loanAmount;
	}

	public java.lang.String getLoanGroupAssignment() {
		return this.loanGroupAssignment;
	}

	public void setLoanGroupAssignment(java.lang.String loanGroupAssignment) {
		this.loanGroupAssignment = loanGroupAssignment;
	}

	public java.lang.Boolean getLoanPreQualification() {
		return this.loanPreQualification;
	}

	public void setLoanPreQualification(java.lang.Boolean loanPreQualification) {
		this.loanPreQualification = loanPreQualification;
	}

	public java.lang.String getResidency() {
		return this.residency;
	}

	public void setResidency(java.lang.String residency) {
		this.residency = residency;
	}

	public java.lang.String getCustomerId() {
		return this.customerId;
	}

	public void setCustomerId(java.lang.String customerId) {
		this.customerId = customerId;
	}

	public java.lang.String getName() {
		return this.name;
	}

	public void setName(java.lang.String name) {
		this.name = name;
	}

	public java.lang.Boolean getLoanQualification() {
		return this.loanQualification;
	}

	public void setLoanQualification(java.lang.Boolean loanQualification) {
		this.loanQualification = loanQualification;
	}

	public LoanApplicant(java.lang.Integer age, java.lang.Integer creditScore,
			java.lang.Double loanAmount, java.lang.String loanGroupAssignment,
			java.lang.Boolean loanPreQualification, java.lang.String residency,
			java.lang.String customerId, java.lang.String name,
			java.lang.Boolean loanQualification) {
		this.age = age;
		this.creditScore = creditScore;
		this.loanAmount = loanAmount;
		this.loanGroupAssignment = loanGroupAssignment;
		this.loanPreQualification = loanPreQualification;
		this.residency = residency;
		this.customerId = customerId;
		this.name = name;
		this.loanQualification = loanQualification;
	}

}